Command reference
deployments audit
Tenant audit history
| Command | Summary |
|---|---|
deployments audit list | List audit events |
deployments audit show | Show an audit event |
deployments audit organization-list | List organization-level audit events |
deployments audit list
List audit events.
deployments audit list- Calls
GET /v1/audit-events(SDKlistAuditEvents). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
--since | string | Start timestamp | ||
--until | string | End timestamp | ||
--actor | string | Actor ID | ||
--resource | string | Resource ID | ||
--event | string | Event type |
Also accepts the global flags.
deployments audit show
Show an audit event.
deployments audit show <id>- Calls
GET /v1/audit-events/{id}(SDKgetAuditEvent). - Needs an environment:
--envor the saved context.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
<id> | positional | yes | Resource ID |
Also accepts the global flags.
deployments audit organization-list
List organization-level audit events.
deployments audit organization-list <organization-id>- Calls
GET /v1/organizations/{id}/audit-events(SDKlistOrganizationAuditEvents). - Needs an organization:
--orgor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
<organization-id> | positional | yes | Organization ID | |
--since | string | Start timestamp | ||
--until | string | End timestamp | ||
--actor | string | Actor ID | ||
--resource | string | Resource ID | ||
--event | string | Event type |
Also accepts the global flags.